import unit4.collectionsLib.*;

/**
 * "  3    -    " 
 *
 * @author   ,   ,  , 
 * @version 26.11.2007
 */
public class RatingList
{
	private List<SiteRating> ratingList;

	public RatingList()
	{
		this.ratingList = new List<SiteRating>();
	}
	
	public void rate(String siteURL, int points)
	{
		Node<SiteRating> pos = this.ratingList.getFirst();
		
		while(pos != null && !pos.getInfo().getURL().equals(siteURL))
			pos = pos.getNext();
		
		SiteRating site;
		if(pos != null)
		{ 
			site = pos.getInfo();
			site.addPoints(points);
			this.ratingList.remove(pos);
		}
		else
			site = new SiteRating(siteURL, points);
		
		Node<SiteRating> prev = null;
		pos = this.ratingList.getFirst();

		while((pos != null) && (pos.getInfo().getPoints()>site.getPoints()))
		{
			prev = pos;
			pos = pos.getNext();
		}

		this.ratingList.insert(prev, site);
	}

	public String toString()
	{
		return this.ratingList.toString();
	}
}
